Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class GStringImpl

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.GString
              org.codehaus.groovy.runtime.GStringImpl

    public class GStringImpl
    extends GString

Default implementation of a GString used by the compiler. A GString consist of a list of values and strings which can be combined to create a new String.

Authors:
  Jochen Theodorou

See Also:
  GString

Field Summary

Fields inherited from class GString
EMPTY

Constructor Summary
`GStringImpl(Object[] values, String[] strings)` Create a new GString with values and strings.

Method Summary
`String[]` | `getStrings()` Get the strings of this GString.

Methods inherited from class GString
build, charAt, compareTo, equals, equals, getStrings, getValue, getValueCount, getValues, hashCode, invokeMethod, length, negate, plus, plus, subSequence, toString, writeTo

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GStringImpl

    public GStringImpl(Object[] values, String[] strings)

  Create a new GString with values and strings.

  Each value is prefixed by a string, after the last value an additional String might be used. This means `strings.length == values.length || strings.length == values.length + 1`.

  NOTE: The lengths are not checked. Using different lengths might result in unpredictable behaviour.

  Parameters:
    `values` - the value parts
    `strings` - the string parts

Method Detail

### getStrings

    public String[] getStrings()

  Get the strings of this GString.

  This methods returns the same array as used in the constructor. Changing the values will result in changes of the GString. It is not recommended to do so.

Copyright © 2003-2010 The Codehaus. All rights reserved.